diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/val-array.h ns-3.44/src/core/model/val-array.h
--- ns-3.43/src/core/model/val-array.h	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/val-array.h	2025-03-09 16:55:49.363371100 -0700
@@ -19,14 +19,14 @@
 {
 
 /**
- * \defgroup Matrices Classes to do efficient math operations on arrays
- * \ingroup core
+ * @defgroup Matrices Classes to do efficient math operations on arrays
+ * @ingroup core
  */
 
 /**
- * \ingroup Matrices
+ * @ingroup Matrices
  *
- * \brief ValArray is a class to efficiently store 3D array. The class is general
+ * @brief ValArray is a class to efficiently store 3D array. The class is general
  * enough to represent 1D array or 2D arrays. ValArray also provides basic
  * algebra element-wise operations over the whole array (1D, 2D, 3D).
  *
@@ -76,66 +76,66 @@
     // instruct the compiler to generate the default constructor
     ValArray() = default;
     /**
-     * \brief Constructor that creates "numPages" number of 2D arrays that are of
+     * @brief Constructor that creates "numPages" number of 2D arrays that are of
      * dimensions "numRows"x"numCols", and are initialized with all-zero elements.
      * If only 1 parameter, numRows, is provided then a single 1D array is being created.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
      */
     ValArray(size_t numRows, size_t numCols = 1, size_t numPages = 1);
     /**
-     * \brief Constructor creates a single 1D array of values.size () elements and 1 column,
+     * @brief Constructor creates a single 1D array of values.size () elements and 1 column,
      * and uses std::valarray<T> values to initialize the elements.
-     * \param values std::valarray<T> that will be used to initialize elements of 1D array
+     * @param values std::valarray<T> that will be used to initialize elements of 1D array
      */
     explicit ValArray(const std::valarray<T>& values);
     /**
-     * \brief Constructor creates a single 1D array of values.size () elements and 1 column,
+     * @brief Constructor creates a single 1D array of values.size () elements and 1 column,
      * and moves std::valarray<T> values to initialize the elements.
-     * \param values std::valarray<T> that will be moved to initialize elements of 1D array
+     * @param values std::valarray<T> that will be moved to initialize elements of 1D array
      */
     ValArray(std::valarray<T>&& values);
     /**
-     * \brief Constructor creates a single 1D array of values.size () elements and 1 column,
+     * @brief Constructor creates a single 1D array of values.size () elements and 1 column,
      * and uses values std::vector<T> to initialize the elements.
-     * \param values std::vector<T> that will be used to initialize elements of 1D array
+     * @param values std::vector<T> that will be used to initialize elements of 1D array
      */
     explicit ValArray(const std::vector<T>& values);
     /**
-     * \brief Constructor creates a single 2D array of numRows and numCols, and uses
+     * @brief Constructor creates a single 2D array of numRows and numCols, and uses
      * std::valarray<T> values to initialize the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param values valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param values valarray<T> that will be used to initialize elements of 3D array
      */
     ValArray(size_t numRows, size_t numCols, const std::valarray<T>& values);
     /**
-     * \brief Constructor creates a single 2D array of numRows and numCols, and moves
+     * @brief Constructor creates a single 2D array of numRows and numCols, and moves
      * std::valarray<T> values to initialize the elements.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param values valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param values valarray<T> that will be used to initialize elements of 3D array
      */
     ValArray(size_t numRows, size_t numCols, std::valarray<T>&& values);
     /**
-     * \brief Constructor creates the 3D array of numRows x numCols x numPages dimensions,
+     * @brief Constructor creates the 3D array of numRows x numCols x numPages dimensions,
      * and uses std::valarray<T> values to initialize all the 2D arrays, where first
      * numRows*numCols elements will belong to the first 2D array.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
-     * \param values valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
+     * @param values valarray<T> that will be used to initialize elements of 3D array
      */
     ValArray(size_t numRows, size_t numCols, size_t numPages, const std::valarray<T>& values);
     /**
-     * \brief Constructor creates the 3D array of numRows x numCols x numPages dimensions,
+     * @brief Constructor creates the 3D array of numRows x numCols x numPages dimensions,
      * and moves std::valarray<T> values to initialize all the 2D arrays, where first
      * numRows*numCols elements will belong to the first 2D array.
-     * \param numRows the number of rows
-     * \param numCols the number of columns
-     * \param numPages the number of pages
-     * \param values valarray<T> that will be used to initialize elements of 3D array
+     * @param numRows the number of rows
+     * @param numCols the number of columns
+     * @param numPages the number of pages
+     * @param values valarray<T> that will be used to initialize elements of 3D array
      */
     ValArray(size_t numRows, size_t numCols, size_t numPages, std::valarray<T>&& values);
     /** instruct the compiler to generate the implicitly declared destructor*/
@@ -143,215 +143,215 @@
     /** instruct the compiler to generate the implicitly declared copy constructor*/
     ValArray(const ValArray<T>&) = default;
     /**
-     * \brief Copy assignment operator.
+     * @brief Copy assignment operator.
      * Instruct the compiler to generate the implicitly declared copy assignment operator.
-     * \return a reference to the assigned object
+     * @return a reference to the assigned object
      */
     ValArray& operator=(const ValArray<T>&) = default;
     /** instruct the compiler to generate the implicitly declared move constructor*/
     ValArray(ValArray<T>&&) = default;
     /**
-     * \brief Move assignment operator.
+     * @brief Move assignment operator.
      * Instruct the compiler to generate the implicitly declared move assignment operator.
-     * \return a reference to the assigned object
+     * @return a reference to the assigned object
      */
     ValArray<T>& operator=(ValArray<T>&&) = default;
     /**
-     * \returns Number of rows
+     * @returns Number of rows
      */
     size_t GetNumRows() const;
     /**
-     * \returns Number of columns
+     * @returns Number of columns
      */
     size_t GetNumCols() const;
     /**
-     * \returns Number of pages, i.e., the number of 2D arrays
+     * @returns Number of pages, i.e., the number of 2D arrays
      */
     size_t GetNumPages() const;
     /**
-     * \returns Total number of elements
+     * @returns Total number of elements
      */
     size_t GetSize() const;
     /**
-     * \brief Access operator, with bound-checking in debug profile
-     * \param rowIndex The index of the row
-     * \param colIndex The index of the column
-     * \param pageIndex The index of the page
-     * \returns A const reference to the element with with rowIndex, colIndex and pageIndex indices.
+     * @brief Access operator, with bound-checking in debug profile
+     * @param rowIndex The index of the row
+     * @param colIndex The index of the column
+     * @param pageIndex The index of the page
+     * @returns A const reference to the element with with rowIndex, colIndex and pageIndex indices.
      */
     T& operator()(size_t rowIndex, size_t colIndex, size_t pageIndex);
     /**
-     * \brief Const access operator, with bound-checking in debug profile
-     * \param rowIndex The index of the row
-     * \param colIndex The index of the column
-     * \param pageIndex The index of the page
-     * \returns A const reference to the element with with rowIndex, colIndex and pageIndex indices.
+     * @brief Const access operator, with bound-checking in debug profile
+     * @param rowIndex The index of the row
+     * @param colIndex The index of the column
+     * @param pageIndex The index of the page
+     * @returns A const reference to the element with with rowIndex, colIndex and pageIndex indices.
      */
     const T& operator()(size_t rowIndex, size_t colIndex, size_t pageIndex) const;
     /**
-     * \brief Access operator for 2D ValArrays.
+     * @brief Access operator for 2D ValArrays.
      * Assuming that the third dimension is equal to 1, e.g. ValArray contains
      * a single 2D array.
      * Note: intentionally not implemented through three parameters access operator,
      * to avoid accidental mistakes by user, e.g., providing 2 parameters when
      * 3 are necessary, but access operator would return valid value if default
      * value of pages provided is 0.
-     * \param rowIndex The index of the row
-     * \param colIndex The index of the column
-     * \returns A reference to the element with the specified indices
+     * @param rowIndex The index of the row
+     * @param colIndex The index of the column
+     * @returns A reference to the element with the specified indices
      */
     T& operator()(size_t rowIndex, size_t colIndex);
     /**
-     * \brief Const access operator for 2D ValArrays.
+     * @brief Const access operator for 2D ValArrays.
      * Assuming that the third dimension is equal to 1, e.g. ValArray contains
      * a single 2D array.
-     * \param rowIndex row index
-     * \param colIndex column index
-     * \returns a Const reference to the value with the specified row and column index.
+     * @param rowIndex row index
+     * @param colIndex column index
+     * @returns a Const reference to the value with the specified row and column index.
      */
     const T& operator()(size_t rowIndex, size_t colIndex) const;
     /**
-     * \brief Single-element access operator() for 1D ValArrays.
+     * @brief Single-element access operator() for 1D ValArrays.
      * Assuming that the number of columns and pages is equal to 1, e.g. ValArray
      * contains a single column or a single row.
      *
      * Note: intentionally not implemented through three parameters access operator,
      * to avoid accidental mistakes by user, e.g., providing 1 parameters when
      * 2 or 3 are necessary.
-     * \param index The index of the 1D ValArray.
-     * \returns A reference to the value with the specified index.
+     * @param index The index of the 1D ValArray.
+     * @returns A reference to the value with the specified index.
      */
     T& operator()(size_t index);
     /**
-     * \brief Single-element access operator() for 1D ValArrays.
-     * \param index The index of the 1D ValArray.
-     * \returns The const reference to the values with the specified index.
+     * @brief Single-element access operator() for 1D ValArrays.
+     * @param index The index of the 1D ValArray.
+     * @returns The const reference to the values with the specified index.
      */
     const T& operator()(size_t index) const;
     /**
-     * \brief Element-wise multiplication with a scalar value.
-     * \param rhs A scalar value of type T
-     * \returns ValArray in which each element has been multiplied by the given
+     * @brief Element-wise multiplication with a scalar value.
+     * @param rhs A scalar value of type T
+     * @returns ValArray in which each element has been multiplied by the given
      * scalar value.
      */
     ValArray operator*(const T& rhs) const;
     /**
-     * \brief operator+ definition for ValArray<T>.
-     * \param rhs The rhs ValArray to be added to this ValArray.
-     * \return the ValArray instance that holds the results of the operator+
+     * @brief operator+ definition for ValArray<T>.
+     * @param rhs The rhs ValArray to be added to this ValArray.
+     * @return the ValArray instance that holds the results of the operator+
      */
     ValArray operator+(const ValArray<T>& rhs) const;
     /**
-     * \brief binary operator- definition for ValArray<T>.
-     * \param rhs The rhs ValArray to be subtracted from this ValArray.
-     * \return the ValArray instance that holds the results of the operator-
+     * @brief binary operator- definition for ValArray<T>.
+     * @param rhs The rhs ValArray to be subtracted from this ValArray.
+     * @return the ValArray instance that holds the results of the operator-
      */
     ValArray operator-(const ValArray<T>& rhs) const;
     /**
-     * \brief unary operator- definition for ValArray<T>.
-     * \return the ValArray instance that holds the results of the operator-
+     * @brief unary operator- definition for ValArray<T>.
+     * @return the ValArray instance that holds the results of the operator-
      */
     ValArray operator-() const;
     /**
-     * \brief operator+= definition for ValArray<T>.
-     * \param rhs The rhs ValArray to be added to this ValArray.
-     * \return a reference to this ValArray instance
+     * @brief operator+= definition for ValArray<T>.
+     * @param rhs The rhs ValArray to be added to this ValArray.
+     * @return a reference to this ValArray instance
      */
     ValArray<T>& operator+=(const ValArray<T>& rhs);
     /**
-     * \brief operator-= definition for ValArray<T>.
-     * \param rhs The rhs ValArray to be subtracted from this ValArray.
+     * @brief operator-= definition for ValArray<T>.
+     * @param rhs The rhs ValArray to be subtracted from this ValArray.
      ** \return a reference to this ValArray instance
      */
     ValArray<T>& operator-=(const ValArray<T>& rhs);
     /**
-     * \brief operator== definition for ValArray<T>.
-     * \param rhs The ValArray instance to be compared with lhs ValArray instance
-     * \return true if rhs ValArray is equal to this ValArray, otherwise it returns false
+     * @brief operator== definition for ValArray<T>.
+     * @param rhs The ValArray instance to be compared with lhs ValArray instance
+     * @return true if rhs ValArray is equal to this ValArray, otherwise it returns false
      */
     bool operator==(const ValArray<T>& rhs) const;
     /**
-     * \brief operator!= definition for ValArray<T>.
-     * \param rhs The ValArray instance to be compared with lhs ValArray instance
-     * \return true if rhs ValArray is not equal to this ValArray, otherwise it returns true
+     * @brief operator!= definition for ValArray<T>.
+     * @param rhs The ValArray instance to be compared with lhs ValArray instance
+     * @return true if rhs ValArray is not equal to this ValArray, otherwise it returns true
      */
     bool operator!=(const ValArray<T>& rhs) const;
     /**
-     * \brief Compare Valarray up to a given absolute tolerance. This operation
+     * @brief Compare Valarray up to a given absolute tolerance. This operation
      * is element-wise operation, i.e., the elements with the same indices from
      * the lhs and rhs ValArray are being compared, allowing the tolerance defined
      * byt "tol" parameter.
-     * \param rhs The rhs ValArray
-     * \param tol The absolute tolerance
-     * \returns true if the differences in each element-wise comparison is less
+     * @param rhs The rhs ValArray
+     * @param tol The absolute tolerance
+     * @returns true if the differences in each element-wise comparison is less
      * or equal to tol.
      */
     bool IsAlmostEqual(const ValArray<T>& rhs, T tol) const;
     /**
-     * \brief Get a data pointer to a specific 2D array for use in linear
+     * @brief Get a data pointer to a specific 2D array for use in linear
      * algebra libraries
-     * \param pageIndex The index of the desired 2D array
-     * \returns a pointer to the data elements of the 2D array
+     * @param pageIndex The index of the desired 2D array
+     * @returns a pointer to the data elements of the 2D array
      */
     T* GetPagePtr(size_t pageIndex);
     /**
-     * \brief Get a data pointer to a specific 2D array for use in linear
+     * @brief Get a data pointer to a specific 2D array for use in linear
      * algebra libraries
-     * \param pageIndex An index of the desired 2D array
-     * \returns a pointer to the data elements of the 2D array
+     * @param pageIndex An index of the desired 2D array
+     * @returns a pointer to the data elements of the 2D array
      */
     const T* GetPagePtr(size_t pageIndex) const;
     /**
-     * \brief Checks whether rhs and lhs ValArray objects have the same dimensions.
-     * \param rhs The rhs ValArray
-     * \returns true if the dimensions of lhs and rhs are equal, otherwise it returns false
+     * @brief Checks whether rhs and lhs ValArray objects have the same dimensions.
+     * @param rhs The rhs ValArray
+     * @returns true if the dimensions of lhs and rhs are equal, otherwise it returns false
      */
     bool EqualDims(const ValArray<T>& rhs) const;
     /**
-     * \brief Function that asserts if the dimensions of lhs and rhs ValArray are
+     * @brief Function that asserts if the dimensions of lhs and rhs ValArray are
      * not equal and prints a message with the matrices dimensions.
-     * \param rhs the rhs ValArray
+     * @param rhs the rhs ValArray
      */
     void AssertEqualDims(const ValArray<T>& rhs) const;
     /**
-     * \brief Single-element access operator[] that can be used to access a specific
+     * @brief Single-element access operator[] that can be used to access a specific
      * element of 1D ValArray. It mimics operator[] from std::vector.
      * This function is introduced for compatibility with ns-3 usage of 1D arrays,
      * which are usually represented through std::vector operators in spectrum
      * and antenna module.
      *
-     * \param index The index of the element to be returned
-     * \returns A reference to a specific element from the underlying std::valarray.
+     * @param index The index of the element to be returned
+     * @returns A reference to a specific element from the underlying std::valarray.
      */
     T& operator[](size_t index);
     /**
-     * \brief Const access operator that can be used to access a specific element of
+     * @brief Const access operator that can be used to access a specific element of
      * 1D ValArray.
      *
-     * \param index The index of the element to be returned
-     * \returns A const reference to a specific element from the underlying std::valarray.
+     * @param index The index of the element to be returned
+     * @returns A const reference to a specific element from the underlying std::valarray.
      */
     const T& operator[](size_t index) const;
     /**
-     * \brief Returns underlying values. This function allows to directly work
+     * @brief Returns underlying values. This function allows to directly work
      * with the underlying values, which can be faster then using access operators.
-     * \returns A const reference to the underlying std::valarray<T>.
+     * @returns A const reference to the underlying std::valarray<T>.
      */
     const std::valarray<T>& GetValues() const;
     /**
-     * \brief Alternative access operator to access a specific element.
-     * \param row the row index of the element to be obtained
-     * \param col the col index of the element to be obtained
-     * \param page the page index of the element to be obtained
-     * \return a reference to the element of this ValArray
+     * @brief Alternative access operator to access a specific element.
+     * @param row the row index of the element to be obtained
+     * @param col the col index of the element to be obtained
+     * @param page the page index of the element to be obtained
+     * @return a reference to the element of this ValArray
      */
     T& Elem(size_t row, size_t col, size_t page);
     /**
-     * \brief Alternative const access operator to access a specific element.
-     * \param row the row index of the element to be obtained
-     * \param col the column index of the element to be obtained
-     * \param page the page index of the element to be obtained
-     * \return a const reference to the element of this ValArray
+     * @brief Alternative const access operator to access a specific element.
+     * @param row the row index of the element to be obtained
+     * @param col the column index of the element to be obtained
+     * @param page the page index of the element to be obtained
+     * @return a const reference to the element of this ValArray
      */
     const T& Elem(size_t row, size_t col, size_t page) const;
 
@@ -700,11 +700,11 @@
 }
 
 /**
- * \brief Overloads output stream operator.
- * \tparam T the type of the ValArray for which will be called this function
- * \param os a reference to the output stream
- * \param a the ValArray instance using type T
- * \return a reference to the output stream
+ * @brief Overloads output stream operator.
+ * @tparam T the type of the ValArray for which will be called this function
+ * @param os a reference to the output stream
+ * @param a the ValArray instance using type T
+ * @return a reference to the output stream
  */
 template <class T>
 std::ostream&
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/vector.cc ns-3.44/src/core/model/vector.cc
--- ns-3.43/src/core/model/vector.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/model/vector.cc	2025-03-09 16:55:49.367371000 -0700
@@ -15,8 +15,8 @@
 #include <tuple>
 
 /**
- * \file
- * \ingroup geometry
+ * @file
+ * @ingroup geometry
  * ns3::Vector, ns3::Vector2D and ns3::Vector3D attribute value implementations.
  */
 
